<?php 
  /**
    * variables: 
    * $photo_width (cm)
    * $photo_height (cm)
    * $cm
    * $mm
    * $in
    * $dpi
    * $width
    * $height
    * $image
    * $place
    * $DateTimeFormatted
    * $exposureTime
    * $apertureFNumber
    * $ISOSpeedRatings
    * $focalLength
    * $shutterSpeed
    * $flash
    */  

  $border_right=1*$cm;

  $border_left=.2*$cm;
  $border_top=.3*$cm;
  $border_bottom=.3*$cm;

  $rotate =  ($height>($width*1.35));
  
  $xsize=$photo_width*$cm;
  $ysize=$photo_height*$cm;
  
  if ($rotate){
    $xsize=$photo_height*$cm;
    $ysize=$photo_width*$cm;
  }
  
/* area for the image */
  $image_area_x = $xsize - $border_right - $border_left;
  $image_area_y = $ysize - $border_top - $border_bottom;

  $image_area_ar = $xsize/$ysize;
  $image_ar = $width/$height;
  if ($image_area_ar>$image_ar) {
    $image_height = $image_area_y;
    $image_width = $image_height*$image_ar;
    $image_y_start=0;
    $image_x_start=($image_area_x-$image_width)/2;

  } else {
    $image_width = $image_area_x;
    $image_height = $image_width/$image_ar;
    $image_x_start=0;
    $image_y_start=($image_area_y-$image_height)/2;
  }

  $image_height=(int)$image_height;
  $image_width=(int)$image_width;
  $image_x_start=$image_x_start+$border_left;
  $image_y_start=$image_y_start+$border_top;
  $image_x_start = (int) $image_x_start;
  $image_y_start = (int) $image_y_start;



  echo '<?xml version="1.0" standalone="no"?>'."\n";
?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<svg width="<?=(int)($xsize)?>" height="<?=(int)($ysize)?>"  version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
  <desc>13x17 noborder photo template</desc>


<rect x="0" y="0" width="<?= (int) ($xsize)?>" height="<?= (int)($ysize) ?>" fill="antiquewhite" />

  <image x="<?= (int) ($image_x_start) ?>" y="<?= (int) ($image_y_start) ?>" width="<?=$image_width?>" height="<?=$image_height?>" xlink:href="<?=$image?>" />


<g transform="translate(<?= (int) ($xsize-0.5*$cm)?>,0)">
  <g transform="rotate(90)">
  <!-- http://www.w3.org/TR/SVGTiny12/text.html#TextAlignProperty  -->

  <?php if ($place) {?>
    <text x="<?= (int) ($image_y_start+2*$mm)?>" y="0" text-anchor="start" font-style="italic" font-family="Verdana" font-size="<?= (int)(1.8*$mm) ?>" fill="black" ><?= "$place" ?></text>
  <?}?>
    <text x="<?= (int) ($image_y_start+$image_height-0.2*$cm)?>" y="0" text-anchor="end" font-family="Courier" font-size="<?= (int)(2.5*$mm) ?>" fill="black" ><?= "$DateTimeFormatted" ?></text>
  </g>
</g>
<!-- firma -->
<?php
  $image_x_end = ($xsize-$border_right+$border_left)/2+$image_width/2;
  if ($image_x_end > ($xsize-$border_right)) $image_x_end = $xsize-$border_right;
?>
<!--
  <text font-family="Helvetica"  x="<?= (int) ($image_x_end-2*$mm)?>" y="<?= (int) ($ysize-$border_bottom-2*$mm) ?>" text-anchor="end"  font-size="<?= (int)(2.4*$mm) ?>" fill="yellow" ><?php echo "exif annotator"; ?></text>-->

</svg>
